Missions
List Missions
Query Parameters
false501 <= value <= 20000 <= valueHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/missions"{
"items": [
{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Mission
Header Parameters
Cookie Parameters
Request Body
application/json
""length <= 40001 <= length <= 2551 <= length <= 255Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": "string" }'{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Mission
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Set Aar Document
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
uuidResponse Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/aar" \ -H "Content-Type: application/json" \ -d '{ "aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c" }'{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Draft Aar
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/aar/draft"{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Sign Aar
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/aar/sign"{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Archive Mission
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/archive"{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Request Backbriefs
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/backbrief/request"{
"property1": [
"string"
],
"property2": [
"string"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Submit Backbrief
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/backbrief/submit" \ -H "Content-Type: application/json" \ -d '{ "body_text": "string" }'{
"author_turn_id": "f45ffea9-6e7e-454e-9bad-e821c33047a6",
"body_markdown": "string",
"body_text": "string",
"client_nonce": "string",
"created_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"display_name": "string",
"edited_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "text",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"payload_json": {},
"sender_agent_spec_id": "d9b2e12d-cb53-4028-841d-31169c6217de",
"sender_kind": "user",
"sender_user_id": "657a53c6-cc30-4506-95a7-bf108e2098a1",
"system_kind": "state_changed",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Fork Ground Rules
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
uuidResponse Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/ground-rules/fork" \ -H "Content-Type: application/json" \ -d '{ "new_ground_rules_document_id": "82356c1a-29b7-42b7-b9b4-f89c21b69253" }'{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List State History
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/history"{
"items": [
{
"backbrief_snapshot_jsonb": {},
"changed_at": "2019-08-24T14:15:22Z",
"changed_by_user_id": "43aa3e6a-3f59-47f2-bbb4-74908dc7b181",
"from_mode": "project",
"from_state": "planning",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"reason": "string",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"to_mode": "project",
"to_state": "planning"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Members
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/members"{
"items": [
{
"active": true,
"agent_spec_id": "5262f2b6-70e4-46bd-abb7-84032fc331f3",
"display_name": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": true,
"joined_at": "2019-08-24T14:15:22Z",
"last_read_message_id": "25be3c6c-e0aa-4dca-8281-1ea91327a13a",
"left_at": "2019-08-24T14:15:22Z",
"member_kind": "user",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"muted": true,
"role_document_id": "98d1ab5f-5630-44c1-bcc7-6a233c99a4fe",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Add Member
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
uuiduuidResponse Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/members" \ -H "Content-Type: application/json" \ -d '{ "role_document_id": "98d1ab5f-5630-44c1-bcc7-6a233c99a4fe", "target_user_id": "07f82fdf-2ecc-4f53-ad26-5718042a39ae" }'{
"active": true,
"agent_spec_id": "5262f2b6-70e4-46bd-abb7-84032fc331f3",
"display_name": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": true,
"joined_at": "2019-08-24T14:15:22Z",
"last_read_message_id": "25be3c6c-e0aa-4dca-8281-1ea91327a13a",
"left_at": "2019-08-24T14:15:22Z",
"member_kind": "user",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"muted": true,
"role_document_id": "98d1ab5f-5630-44c1-bcc7-6a233c99a4fe",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Leave Mission
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
curl -X DELETE "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/me"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Assign Member Role
Path Parameters
uuiduuidHeader Parameters
Cookie Parameters
Request Body
application/json
uuidResponse Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/497f6eca-6276-4993-bfeb-53cbbbba6f08/role" \ -H "Content-Type: application/json" \ -d '{ "role_document_id": "98d1ab5f-5630-44c1-bcc7-6a233c99a4fe" }'{
"active": true,
"agent_spec_id": "5262f2b6-70e4-46bd-abb7-84032fc331f3",
"display_name": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": true,
"joined_at": "2019-08-24T14:15:22Z",
"last_read_message_id": "25be3c6c-e0aa-4dca-8281-1ea91327a13a",
"left_at": "2019-08-24T14:15:22Z",
"member_kind": "user",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"muted": true,
"role_document_id": "98d1ab5f-5630-44c1-bcc7-6a233c99a4fe",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Messages
Path Parameters
uuidQuery Parameters
501 <= value <= 200Header Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"{
"items": [
{
"author_turn_id": "f45ffea9-6e7e-454e-9bad-e821c33047a6",
"body_markdown": "string",
"body_text": "string",
"client_nonce": "string",
"created_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"display_name": "string",
"edited_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "text",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"payload_json": {},
"sender_agent_spec_id": "d9b2e12d-cb53-4028-841d-31169c6217de",
"sender_kind": "user",
"sender_user_id": "657a53c6-cc30-4506-95a7-bf108e2098a1",
"system_kind": "state_changed",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Post Message
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \ -H "Content-Type: application/json" \ -d '{ "body_text": "string" }'{
"author_turn_id": "f45ffea9-6e7e-454e-9bad-e821c33047a6",
"body_markdown": "string",
"body_text": "string",
"client_nonce": "string",
"created_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"display_name": "string",
"edited_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "text",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"payload_json": {},
"sender_agent_spec_id": "d9b2e12d-cb53-4028-841d-31169c6217de",
"sender_kind": "user",
"sender_user_id": "657a53c6-cc30-4506-95a7-bf108e2098a1",
"system_kind": "state_changed",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Mark Read
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
uuidResponse Body
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/mark-read" \ -H "Content-Type: application/json" \ -d '{ "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2" }'{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Edit Message
Path Parameters
uuiduuidHeader Parameters
Cookie Parameters
Request Body
application/json
1 <= lengthResponse Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "body_text": "string" }'{
"author_turn_id": "f45ffea9-6e7e-454e-9bad-e821c33047a6",
"body_markdown": "string",
"body_text": "string",
"client_nonce": "string",
"created_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"display_name": "string",
"edited_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "text",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"payload_json": {},
"sender_agent_spec_id": "d9b2e12d-cb53-4028-841d-31169c6217de",
"sender_kind": "user",
"sender_user_id": "657a53c6-cc30-4506-95a7-bf108e2098a1",
"system_kind": "state_changed",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Message
Path Parameters
uuiduuidHeader Parameters
Cookie Parameters
Response Body
application/json
curl -X DELETE "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Objectives
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/objectives"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"linked_at": "2019-08-24T14:15:22Z",
"linked_by_user_id": "81dfe5bb-429a-4bce-9967-1812d771304d",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"objective_entity_id": "b6d69cd2-9ab2-4509-af70-2ba11a324a28",
"position": 0,
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"unlinked_at": "2019-08-24T14:15:22Z"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Link Objective
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
uuid0Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/objectives" \ -H "Content-Type: application/json" \ -d '{ "objective_entity_id": "b6d69cd2-9ab2-4509-af70-2ba11a324a28" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"linked_at": "2019-08-24T14:15:22Z",
"linked_by_user_id": "81dfe5bb-429a-4bce-9967-1812d771304d",
"mission_id": "9c09dadd-092b-4bfc-897d-a4c7ba32314a",
"objective_entity_id": "b6d69cd2-9ab2-4509-af70-2ba11a324a28",
"position": 0,
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"unlinked_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Unlink Objective
Path Parameters
uuiduuidHeader Parameters
Cookie Parameters
Response Body
application/json
curl -X DELETE "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/objectives/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Transition State
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
"planning" | "implementing" | "operating" | "paused" | "completed" | "cancelled"Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/transition" \ -H "Content-Type: application/json" \ -d '{ "to_state": "planning" }'{
"aar_document_id": "e6ce190e-121c-46b3-bcdb-78b101a35d6c",
"aar_status": "draft",
"actor_is_member": false,
"archived": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"ground_rules_document_id": "71358d53-71ab-429c-ad80-e5abfc9eb938",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"intent_text": "string",
"mode": "project",
"name": "string",
"prior_state": "planning",
"slug": "string",
"state": "planning",
"summary_document_id": "b10d72cc-bae5-4527-978e-ce896db9fdc0",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"topic": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Signal Typing
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
"started" | "stopped"Response Body
application/json
curl -X POST "https://loading/api/v1/missions/497f6eca-6276-4993-bfeb-53cbbbba6f08/typing" \ -H "Content-Type: application/json" \ -d '{ "state": "started" }'{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}